# Customer-app

## Overview
Customer-app is an umbrella-chart that installs the following components with mutual TLS support

    Spring based Java Application
    Postgreql

## Installation

Create a parent helm Chart and Add the Umbrella Chart as a dependency

Provide the following values in the values file of parent chart.

    application: 
        applicationName: ""
        deployment:
            replicas: ""
            image: ""
            repository: ""
            tag: ""
    postgresql:
        enabled: true
        fullnameOverride: changeme
        tls:
            certificatesSecret: changeme

Run:
``` 
helm install appname . -n namepspacename
```     


To enable/disable postgres set:
```
postgresCert:
    enabled: true/false
umbrella-chart:
    postgresql:
        enabled: true/false
```    